curl --request GET \
--url https://{defaultHost}/v1/abandoned_checkouts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/abandoned_checkouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/abandoned_checkouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8ead4cce-2750-49ac-bd3e-6056075e6b30",
"object": "abandoned_checkout",
"notifications_enabled": true,
"notification_status": "not_scheduled",
"notifications_scheduled_at": [],
"portal_url": "http://app.example.com/portal_redirect/abandoned_checkouts/8ead4cce-2750-49ac-bd3e-6056075e6b30",
"recovery_status": "abandoned",
"recovered_at": null,
"checkout": "413aa8f6-8240-470e-9848-3b10e43b7d55",
"customer": "3c8416f7-9e9a-420c-860b-4ae0f98382c4",
"promotion": null,
"recovered_checkout": null,
"created_at": 1787226227,
"updated_at": 1787228327
}Retrieve
Retrieves details of a specific abandonded checkout.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not notifications should be sent to the customer for this abandoned checkout.
The current notification status for this abandonded checkout, which can be one of not_scheduled, scheduled, or sent.
A URL that will redirect to this abandoned checkout's correct portal page (hosted or external).
Expandable – The associated checkout ID.
Expandable – The associated customer ID.
The promotion that was auto-generated for this abandoned checkout.
Expandable – The associated promotion ID.
If the abandoned checkout has been recovered, the time it was recovered at.
The checkout that was recovered from this abandoned checkout.
Expandable – The associated checkout ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?